Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractAccordionItem

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractTogglePanelItem
                      org.richfaces.component.AbstractAccordionItem

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, AbstractTogglePanelItemInterface, AbstractTogglePanelTitledItem

Direct Known Subclasses:
  UIAccordionItem

    public abstract class AbstractAccordionItem

extends AbstractTogglePanelItem
implements AbstractTogglePanelTitledItem, javax.faces.component.behavior.ClientBehaviorHolder

Since:
  2010-08-13
Author:
  akolonitsky

Nested Class Summary

Nested classes/interfaces inherited from interface org.richfaces.component.AbstractTogglePanelTitledItem
`AbstractTogglePanelTitledItem.HeaderStates`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.AbstractTogglePanelItem
`NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractAccordionItem()`

Method Summary
`AbstractAccordion` | `getAccordion()`
`String` | `getContentClass()`
`String` | `getHeader()`
`String` | `getHeaderActiveClass()`
`String` | `getHeaderClass()`
`String` | `getHeaderDisabledClass()`
`javax.faces.component.UIComponent` | `getHeaderFacet(Enum<?> state)`
`String` | `getHeaderInactiveClass()`
`String` | `getLeftActiveIcon()`
`String` | `getLeftDisabledIcon()`
`String` | `getLeftInactiveIcon()`
`AbstractAccordion` | `getParentPanel()`
`String` | `getRightActiveIcon()`
`String` | `getRightDisabledIcon()`
`String` | `getRightInactiveIcon()`
`org.richfaces.component.SwitchType` | `getSwitchType()`
`void` | `setContentClass(String contentClass)`
`void` | `setHeader(String header)`
`void` | `setHeaderActiveClass(String headerActiveClass)`
`void` | `setHeaderClass(String headerClass)`
`void` | `setHeaderDisabledClass(String headerDisabledClass)`
`void` | `setHeaderInactiveClass(String headerInactiveClass)`
`void` | `setLeftActiveIcon(String leftActiveIcon)`
`void` | `setLeftDisabledIcon(String leftDisabledIcon)`
`void` | `setLeftInactiveIcon(String leftInactiveIcon)`
`void` | `setRightActiveIcon(String rightActiveIcon)`
`void` | `setRightDisabledIcon(String rightDisabledIcon)`
`void` | `setRightInactiveIcon(String inactiveRightIcon)`
`void` | `setSwitchType(org.richfaces.component.SwitchType switchType)`

Methods inherited from class org.richfaces.component.AbstractTogglePanelItem
`getFamily, getName, isActive, setName, shouldProcess, toString`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.richfaces.component.AbstractTogglePanelTitledItem
`getHeaderStyle, getOnheaderclick, getOnheaderdblclick, getOnheadermousedown, getOnheadermousemove, getOnheadermouseup, isDisabled`

Methods inherited from interface org.richfaces.component.AbstractTogglePanelItemInterface
`getName, getOnenter, getOnleave, isActive, shouldProcess`

Methods inherited from interface org.richfaces.component.AbstractDivPanel
`getDir, getLang, getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getStyle, getStyleClass, getTitle`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors, getDefaultEventName, getEventNames`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractAccordionItem

    public AbstractAccordionItem()

Method Detail

### getParentPanel

    public AbstractAccordion getParentPanel()

  Specified by:
    `getParentPanel` in interface `AbstractTogglePanelItemInterface`
  Overrides:
    `getParentPanel` in class `AbstractTogglePanelItem`

### getAccordion

    public AbstractAccordion getAccordion()

### getHeaderFacet

    public javax.faces.component.UIComponent getHeaderFacet(Enum<?> state)

### getHeader

    public String getHeader()

  Specified by:
    `getHeader` in interface `AbstractTogglePanelTitledItem`

### setHeader

    public void setHeader(String header)

### getLeftActiveIcon

    public String getLeftActiveIcon()

### setLeftActiveIcon

    public void setLeftActiveIcon(String leftActiveIcon)

### getLeftDisabledIcon

    public String getLeftDisabledIcon()

### setLeftDisabledIcon

    public void setLeftDisabledIcon(String leftDisabledIcon)

### getLeftInactiveIcon

    public String getLeftInactiveIcon()

### setLeftInactiveIcon

    public void setLeftInactiveIcon(String leftInactiveIcon)

### getRightActiveIcon

    public String getRightActiveIcon()

### setRightActiveIcon

    public void setRightActiveIcon(String rightActiveIcon)

### getRightDisabledIcon

    public String getRightDisabledIcon()

### setRightDisabledIcon

    public void setRightDisabledIcon(String rightDisabledIcon)

### getRightInactiveIcon

    public String getRightInactiveIcon()

### setRightInactiveIcon

    public void setRightInactiveIcon(String inactiveRightIcon)

### getHeaderActiveClass

    public String getHeaderActiveClass()

  Specified by:
    `getHeaderActiveClass` in interface `AbstractTogglePanelTitledItem`

### setHeaderActiveClass

    public void setHeaderActiveClass(String headerActiveClass)

### getHeaderDisabledClass

    public String getHeaderDisabledClass()

  Specified by:
    `getHeaderDisabledClass` in interface `AbstractTogglePanelTitledItem`

### setHeaderDisabledClass

    public void setHeaderDisabledClass(String headerDisabledClass)

### getHeaderInactiveClass

    public String getHeaderInactiveClass()

  Specified by:
    `getHeaderInactiveClass` in interface `AbstractTogglePanelTitledItem`

### setHeaderInactiveClass

    public void setHeaderInactiveClass(String headerInactiveClass)

### getHeaderClass

    public String getHeaderClass()

  Specified by:
    `getHeaderClass` in interface `AbstractTogglePanelTitledItem`

### setHeaderClass

    public void setHeaderClass(String headerClass)

### getContentClass

    public String getContentClass()

  Specified by:
    `getContentClass` in interface `AbstractTogglePanelTitledItem`

### setContentClass

    public void setContentClass(String contentClass)

### getSwitchType

    public org.richfaces.component.SwitchType getSwitchType()

  Specified by:
    `getSwitchType` in interface `AbstractTogglePanelItemInterface`
  Overrides:
    `getSwitchType` in class `AbstractTogglePanelItem`

### setSwitchType

    public void setSwitchType(org.richfaces.component.SwitchType switchType)

  Overrides:
    `setSwitchType` in class `AbstractTogglePanelItem`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.